> ## Documentation Index
> Fetch the complete documentation index at: https://productlane.mintlify.site/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List changelogs

> List changelogs for a workspace by ID. Unauthenticated requests return only published changelogs from public workspaces. Authenticated requests (matching workspaceId) return all changelogs including unpublished.



## OpenAPI

````yaml get /changelogs/{workspaceId}
openapi: 3.0.3
info:
  title: Productlane API
  version: 1.0.0
servers:
  - url: https://productlane.com/api/v1
security: []
paths:
  /changelogs/{workspaceId}:
    get:
      tags:
        - changelogs
      summary: List changelogs
      description: >-
        List changelogs for a workspace by ID. Unauthenticated requests return
        only published changelogs from public workspaces. Authenticated requests
        (matching workspaceId) return all changelogs including unpublished.
      operationId: changelogs-list
      parameters:
        - name: workspaceId
          in: path
          required: true
          schema:
            type: string
        - name: language
          in: query
          required: false
          schema:
            type: string
        - name: skip
          in: query
          required: false
          schema:
            type: integer
        - name: take
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    createdAt:
                      type: string
                      format: date-time
                    updatedAt:
                      type: string
                      format: date-time
                    isDeleted:
                      type: boolean
                    version:
                      type: number
                    date:
                      type: string
                      format: date-time
                      nullable: true
                    published:
                      type: boolean
                    title:
                      type: string
                    notes: {}
                    archived:
                      type: boolean
                    imageUrl:
                      type: string
                      nullable: true
                    projectId:
                      type: string
                      nullable: true
                    workspaceId:
                      type: string
                    tags:
                      type: array
                      items:
                        type: object
                        properties:
                          id:
                            type: string
                          name:
                            type: string
                          color:
                            type: string
                          icon:
                            type: string
                            nullable: true
                        required:
                          - id
                          - name
                          - color
                          - icon
                        additionalProperties: false
                  required:
                    - id
                    - createdAt
                    - updatedAt
                    - isDeleted
                    - version
                    - date
                    - published
                    - title
                    - archived
                    - imageUrl
                    - projectId
                    - workspaceId
                  additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````